Skip to content

Update a merchant contract

PUT
/v1/admin/merchants/{merchant_id}/contracts/{contract}/

Merges the fields you send into the contract, and creates the contract when it doesn't exist. The merchant's credit-card contract switches on one-click and recurring payments for all card payment methods of the merchant.

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with an admin API key as the username and an empty password.

Path Parameters

merchant_id*string

The ID of the merchant.

Formatuuid
contract*string

The contract type, such as credit-card or _main.

Request Body

application/json
  1. body

The fields of a merchant contract. The credit-card contract switches on one-click and recurring payments for all card payment methods of the merchant. Every contract also has the common fields.

begin_date?string

Start date of the contract (ISO 8601).

end_date?|

End date of the contract (ISO 8601).

funding_delay?integer

Days to wait with funding after a sale or capture.

one_click_enabled?boolean

credit-card contract: allow one-click card payments, for all card payment methods of the merchant including Apple Pay and Google Pay. Off by default.

recurring_enabled?boolean

credit-card contract: allow recurring card payments, for all card payment methods of the merchant including Apple Pay and Google Pay. Off by default.

gateway?string

credit-card contract: the card processor of the merchant, overriding the default card processor of the platform. Only takes effect when routing per merchant is switched on for your platform.

credit_limit?integer

_main contract: credit limit.

Response Body

The fields of the contract.

application/json
  1. response

The fields of a merchant contract. The credit-card contract switches on one-click and recurring payments for all card payment methods of the merchant. Every contract also has the common fields.

begin_date?string

Start date of the contract (ISO 8601).

end_date?|

End date of the contract (ISO 8601).

funding_delay?integer

Days to wait with funding after a sale or capture.

one_click_enabled?boolean

credit-card contract: allow one-click card payments, for all card payment methods of the merchant including Apple Pay and Google Pay. Off by default.

recurring_enabled?boolean

credit-card contract: allow recurring card payments, for all card payment methods of the merchant including Apple Pay and Google Pay. Off by default.

gateway?string

credit-card contract: the card processor of the merchant, overriding the default card processor of the platform. Only takes effect when routing per merchant is switched on for your platform.

credit_limit?integer

_main contract: credit limit.

curl -X PUT 'https://api.example.com/v1/admin/merchants/497f6eca-6276-4993-bfeb-53cbbbba6f08/contracts/string/' \  --user "$API_KEY:" \  -H 'Content-Type: application/json' \  -d '{  "one_click_enabled": true,  "recurring_enabled": true}'
{  "one_click_enabled": true,  "recurring_enabled": true,  "gateway": "string",  "credit_limit": 0,  "begin_date": "2026-11-01",  "end_date": "string",  "funding_delay": 0}